ppsspp/Blackberry/build.sh
Sacha 7821c8e7d5 Build scripts: Use strict error checking to propogate errors to underlying shell (hint: travis).
Stops builds from showing success when there was an error.
Had to workaround grep's issue of returning '1' when there is no matches. There is unfortunately no alternative.
Removed bin/bash header as it could restrict alternative shells.
Used set -e to break script whenever a non-zero return is encountered.
CMake was returning non-zero on CMAKE_TOOLCHAIN_FILE not being required. Now check for that in CMake instead of platform/abi. If the abi is missing and toolchain is not, that would have been the wrong advice anyway.
2013-12-01 22:02:09 +10:00

23 lines
672 B
Bash
Executable File

# Strict errors. Any non-zero return exits this script
set -e
BB_OS=`cat ${QNX_TARGET}/etc/qversion 2>/dev/null`
if [ -z "$BB_OS" ]; then
echo "Could not find your Blackberry NDK. Please source bbndk-env.sh"
exit 1
fi
echo "Building for Blackberry ${BB_OS}"
if [[ "$1" == "--simulator" ]]; then
SIM="-DSIMULATOR=ON"
fi
cmake ${SIM} -DCMAKE_TOOLCHAIN_FILE=bb.toolchain.cmake -DBLACKBERRY=${BB_OS} .. | (grep -v "^-- " || true)
# Compile and create unsigned PPSSPP.bar with debugtoken
make -j4
if [[ "$1" != "--no-package" ]]; then
DEBUG="-devMode -debugToken ${HOME}/debugtoken.bar"
blackberry-nativepackager -package PPSSPP.bar bar-descriptor.xml $DEBUG
fi